summaryrefslogtreecommitdiff
path: root/test/lisp/progmodes/flymake-resources/Makefile
diff options
context:
space:
mode:
Diffstat (limited to 'test/lisp/progmodes/flymake-resources/Makefile')
-rw-r--r--test/lisp/progmodes/flymake-resources/Makefile4
1 files changed, 2 insertions, 2 deletions
diff --git a/test/lisp/progmodes/flymake-resources/Makefile b/test/lisp/progmodes/flymake-resources/Makefile
index 0f3f39791c8..05399ba388b 100644
--- a/test/lisp/progmodes/flymake-resources/Makefile
+++ b/test/lisp/progmodes/flymake-resources/Makefile
@@ -1,6 +1,6 @@
# Makefile for flymake tests
-CC_OPTS = -Wall
+CC_OPTS = -Wall -Wextra
## Recent gcc (e.g. 4.8.2 on RHEL7) can automatically colorize their output,
## which can confuse flymake. Set GCC_COLORS to disable that.
@@ -8,6 +8,6 @@ CC_OPTS = -Wall
## normally use flymake, so it seems like just avoiding the issue
## in this test is fine. Set flymake-log-level to 3 to investigate.
check-syntax:
- GCC_COLORS= $(CC) $(CC_OPTS) ${CHK_SOURCES}
+ GCC_COLORS= gcc $(CC_OPTS) ${CHK_SOURCES} || true
# eof